Bug 249470 - security/strongswan: Update to 5.9.0
Summary: security/strongswan: Update to 5.9.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://wiki.strongswan.org/versions/78
Keywords: buildisok, patch
Depends on:
Blocks:
 
Reported: 2020-09-20 01:55 UTC by Jose Luis Duran
Modified: 2020-09-25 14:06 UTC (History)
3 users (show)

See Also:
strongswan: maintainer-feedback+


Attachments
Update to 5.9.0 (1.93 KB, patch)
2020-09-20 01:55 UTC, Jose Luis Duran
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Luis Duran 2020-09-20 01:55:06 UTC
Created attachment 218098 [details]
Update to 5.9.0

Also link the tpm2-tss package for testing with the TPM plugin:
    
https://wiki.strongswan.org/projects/strongswan/wiki/TpmPlugin
Comment 1 Automation User 2020-09-20 02:14:16 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/192074263
Comment 2 strongswan 2020-09-21 10:06:07 UTC
Comment on attachment 218098 [details]
Update to 5.9.0

The patch is good it can be applied.
Comment 3 Kurt Jaeger freebsd_committer 2020-09-25 14:06:06 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2020-09-25 14:06:18 UTC
A commit references this bug:

Author: pi
Date: Fri Sep 25 14:05:50 UTC 2020
New revision: 550035
URL: https://svnweb.freebsd.org/changeset/ports/550035

Log:
  security/strongswan: update 5.8.4 -> 5.9.0

  - Also link the tpm2-tss package for testing with the TPM plugin:
    https://wiki.strongswan.org/projects/strongswan/wiki/TpmPlugin

  PR:		249470
  Submitted by:	Jose Luis Duran <jlduran@gmail.com>
  Approved by:	strongswan@Nanoteq.com (maintainer)
  Relnotes:	https://wiki.strongswan.org/versions/78

Changes:
  head/security/strongswan/Makefile
  head/security/strongswan/distinfo